Bug 1113031 - report-gtk killed by SIGTRAP
Summary: report-gtk killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10f2442470179bdee27fed08adf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-25 10:25 UTC by satoshi
Modified: 2015-06-29 21:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:19:08 UTC


Attachments (Terms of Use)
File: backtrace (104.91 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: cgroup (172 bytes, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: core_backtrace (44.22 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: dso_list (10.10 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: environ (2.02 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: maps (46.83 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: open_fds (1.48 KB, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details
File: var_log_messages (325 bytes, text/plain)
2014-06-25 10:25 UTC, satoshi
no flags Details

Description satoshi 2014-06-25 10:25:29 UTC
Version-Release number of selected component:
libreport-gtk-2.2.2-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        report-gtk -- /var/tmp/abrt/ccpp-2014-06-25-17:49:56-1814
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/report-gtk
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _gdk_x11_display_error_event at gdkdisplay-x11.c:2557
 #5 handle_error at xcb_io.c:213
 #6 handle_response at xcb_io.c:325
 #8 XIGetClientPointer at XGetCPtr.c:59
 #9 gdk_x11_device_manager_xi2_get_client_pointer at gdkdevicemanager-xi2.c:605
 #10 Oxygen::HoverData::connect at /usr/src/debug/oxygen-gtk3-1.3.5/src/animations/oxygenhoverdata.cpp:51
 #11 Oxygen::TreeViewData::connect at /usr/src/debug/oxygen-gtk3-1.3.5/src/animations/oxygentreeviewdata.cpp:61
 #12 registerWidget at /usr/src/debug/oxygen-gtk3-1.3.5/src/animations/oxygengenericengine.h:58
 #13 Oxygen::TreeViewEngine::registerWidget at /usr/src/debug/oxygen-gtk3-1.3.5/src/animations/oxygentreeviewengine.cpp:40
 #14 Oxygen::render_background at /usr/src/debug/oxygen-gtk3-1.3.5/src/oxygenthemingengine.cpp:391

Comment 1 satoshi 2014-06-25 10:25:33 UTC
Created attachment 912020 [details]
File: backtrace

Comment 2 satoshi 2014-06-25 10:25:35 UTC
Created attachment 912021 [details]
File: cgroup

Comment 3 satoshi 2014-06-25 10:25:38 UTC
Created attachment 912022 [details]
File: core_backtrace

Comment 4 satoshi 2014-06-25 10:25:40 UTC
Created attachment 912023 [details]
File: dso_list

Comment 5 satoshi 2014-06-25 10:25:42 UTC
Created attachment 912024 [details]
File: environ

Comment 6 satoshi 2014-06-25 10:25:44 UTC
Created attachment 912025 [details]
File: limits

Comment 7 satoshi 2014-06-25 10:25:47 UTC
Created attachment 912026 [details]
File: maps

Comment 8 satoshi 2014-06-25 10:25:48 UTC
Created attachment 912027 [details]
File: open_fds

Comment 9 satoshi 2014-06-25 10:25:51 UTC
Created attachment 912028 [details]
File: proc_pid_status

Comment 10 satoshi 2014-06-25 10:25:53 UTC
Created attachment 912029 [details]
File: var_log_messages

Comment 11 Pavel Holica 2014-07-23 07:05:33 UTC
Another user experienced a similar problem:

I've just tried to report problem through abrt.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        report-gtk -- /var/tmp/abrt/ccpp-2014-07-23-08:44:03-2588
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/report-gtk
kernel:         3.15.6-200.fc20.x86_64
package:        libreport-gtk-2.2.3-1.fc20
reason:         report-gtk killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            14741

Comment 12 Jakub Filak 2014-07-23 07:36:41 UTC
Hello, thank you for taking the time to report this crash. Is it reproducible in gnome-shell or in another GTK base desktop?

Comment 13 Pavel Holica 2014-07-25 08:26:35 UTC
I've just tried to report same crash through abrt in XFCE and it worked, so this is probably KDE-related issue.

Comment 14 Farid 2014-09-23 04:58:39 UTC
Another user experienced a similar problem:

Suite à cette formulaire de saisi 

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        report-gtk -- /var/tmp/abrt/ccpp-2014-09-23-06:41:02-3811
crash_function: _gdk_x11_display_error_event
executable:     /usr/bin/report-gtk
kernel:         3.16.2-201.fc20.x86_64
package:        libreport-gtk-2.2.3-2.fc20
reason:         report-gtk killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Eugene Budanov 2014-11-10 09:08:21 UTC
This problem reproduced on KDE on my machine. But I can't understand when this bug is encountered. Any ideas?

Comment 16 Fedora End Of Life 2015-05-29 12:13:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-06-29 21:19:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.